{% extends "@admin/base.html.twig" %}

{% import "@admin/macros.html.twig" as macro %}
{% import _self as self %}

{% block body %}
    {{ macro.breadcrumb() }}

    <div class="card-group">
        <div class="card border-primary">
            <h5 class="card-header">
                <a href="{{ path('admin_series_edit', {id: serie.id}) }}" class="float-right">
                    <i class="fas fa-pen"></i>
                </a>
                <span class="text-muted">Série : </span> <b class="text-primary">{{ serie }}</b> {{ macro.catalog_symbol(serie) }}
            </h5>
            <div class="card-body">
                <p class="card-text mb-1">
                    <span class="text-muted">Country : </span>
                    {{ macro.flag(serie.country) }} {{ serie.country }}
                </p>
                {{ self.year(serie) }}
                {{ self.images(serie) }}
                {{ self.comment(serie) }}
                {{ self.attributes(serie) }}
            </div>
        </div>
        {% if serie.collection %}
            <div class="card">
                <h5 class="card-header">
                    <a href="{{ path('admin_collections_edit', {id: serie.collection.id}) }}" class="float-right">
                        <i class="fas fa-pen"></i>
                    </a>
                    <span class="text-muted">Collection : </span>
                    <a href="{{ path('front_collection', {id: serie.collection.id, slug: serie.collection.slug}) }}">{{ serie.collection }}</a>
                </h5>
                <div class="card-body">
                    {% for item in serie.collection.series %}
                        {% if item.id != serie.id %}
                            <div class="row">
                                <div class="col collection-serie">
                                    {{ macro.image(item.image) }}
                                    <a href="{{ path('admin_series_view', {id: item.id}) }}">
                                        <i class="fas fa-pen"></i>
                                        {{ item.name }}
                                    </a>
                                </div>
                                <div class="col">
                                    {{ macro.flag(item.country) }} {{ item.country }}
                                </div>
                            </div>
                        {% endif %}
                    {% endfor %}
                </div>
            </div>
        {% endif %}
    </div>

    {% block links %}
        <a href="{{ path('admin_kinders_add_parent', {id: serie.id}) }}" class="btn btn-primary mt-5">
            <i class="fas fa-pen"></i> Ajouter un kinder
        </a>
        <a href="{{ path('admin_series_copy_virtual_to', {id: serie.id}) }}" class="btn btn-info mt-5 ml-2">
            <i class="fas fa-arrow-alt-circle-down"></i> Importer en tant que virtuel
        </a>
        <a href="{{ path('front_serie', {id: serie.id, slug: serie.slug}) }}" class="btn btn-success mt-5 ml-2">
            <i class="fas fa-eye"></i> Voir dans le front public
        </a>
    {% endblock %}

    {% for kinder in serie.kinders %}
        <div class="card-group mt-5">
            {% if kinder.virtual %}
                <div class="card border-info">
                    <h5 class="card-header border-info text-info">
                        <a href="{{ path('admin_kinders_edit', {id: kinder.original.id}) }}" class="float-right ml-2">
                            <i class="fas fa-pen"></i>
                        </a>
                        <a href="{{ path('admin_kinders_edit', {id: kinder.id}) }}" class="float-right text-info">
                            <i class="fas fa-pen"></i>
                        </a>
                        <span class="text-muted">Kinder : </span> {{ kinder }}
                    </h5>
                    <div class="card-body">
                        {{ self.itembody(kinder) }}
                    </div>
                </div>
            {% else %}
                <div class="card">
                    <h5 class="card-header">
                        <a href="{{ path('admin_kinders_edit', {id: kinder.id}) }}" class="float-right">
                            <i class="fas fa-pen"></i>
                        </a>
                        <span class="text-muted">Kinder : </span> {{ kinder }}
                    </h5>
                    <div class="card-body">
                        {{ self.itembody(kinder) }}
                    </div>
                </div>
            {% endif %}
            <div class="card">
                <h5 class="card-header">
                    <a href="{{ path('admin_bpzs_add_parent', {'id': kinder.id }) }}" class="float-right">
                        <i class="fas fa-plus"></i>
                    </a>
                    <span class="text-muted">BPZs</span>
                </h5>
                {% for item in kinder.bpzs %}
                    <div class="card-body {{ loop.first ? '' : 'border-top' }}">
                        <p class="card-text mb-1">
                            <a href="{{ path('admin_bpzs_edit', {id: item.id}) }}" class="float-right">
                                <i class="fas fa-pen"></i>
                            </a>
                            <span class="text-muted">Nom : </span> {{ item }}
                        </p>
                        {{ self.itembody(item) }}
                    </div>
                {% endfor %}
            </div>
            <div class="card">
                <h5 class="card-header">
                    <a href="{{ path('admin_zbas_add_parent', {'id': kinder.id }) }}" class="float-right">
                        <i class="fas fa-plus"></i>
                    </a>
                    <span class="text-muted">ZBAs</span>
                </h5>
                {% for item in kinder.zbas %}
                    <div class="card-body {{ loop.first ? '' : 'border-top' }}">
                        <p class="card-text mb-1">
                            <a href="{{ path('admin_zbas_edit', {id: item.id}) }}" class="float-right">
                                <i class="fas fa-pen"></i>
                            </a>
                            <span class="text-muted">Nom : </span> {{ item }}
                        </p>
                        {{ self.itembody(item) }}
                    </div>
                {% endfor %}
            </div>
        </div>
    {% endfor %}

    <div class="row mt-5">
        <div class="col">
            <div class="card">
                <h5 class="card-header">
                    <a href="{{ path('admin_pieces_add_parent', {'id': serie.id }) }}" class="float-right">
                        <i class="fas fa-plus"></i>
                    </a>
                    <span class="text-muted">Pieces</span>
                </h5>
                {% for item in serie.pieces %}
                    <div class="card-body {{ loop.first ? '' : 'border-top' }}">
                        <p class="card-text mb-1">
                            <a href="{{ path('admin_pieces_edit', {id: item.id}) }}" class="float-right">
                                <i class="fas fa-pen"></i>
                            </a>
                            <span class="text-muted">Nom : </span> {{ item }}
                        </p>
                        {{ self.itembody(item) }}
                    </div>
                {% endfor %}
            </div>
        </div>
        <div class="col">
            <div class="card">
                <h5 class="card-header">
                    <a href="{{ path('admin_items_add_parent', {'id': serie.id }) }}" class="float-right">
                        <i class="fas fa-plus"></i>
                    </a>
                    <span class="text-muted">Items</span>
                </h5>
                {% for item in serie.items %}
                    <div class="card-body {{ loop.first ? '' : 'border-top' }}">
                        <p class="card-text mb-1">
                            <a href="{{ path('admin_items_edit', {id: item.id}) }}" class="float-right">
                                <i class="fas fa-pen"></i>
                            </a>
                            <span class="text-muted">Nom : </span> {{ item }}
                        </p>
                        {{ self.itembody(item) }}
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>

    {{ block('links') }}

    <div style="height: 10em"></div>

{% endblock %}

{% macro itembody(item) -%}
    {% import _self as self %}
    {{ self.lookingfor(item) }}
    {{ self.year(item) }}
    {{ self.sorting(item) }}
    {{ self.reference(item) }}
    {{ self.quantity(item) }}
    {{ self.images(item) }}
    {{ self.variante(item) }}
    {{ self.comment(item) }}
    {{ self.attributes(item) }}
{%- endmacro %}

{% macro lookingfor(item) -%}
    {%- if item.lookingFor -%}
        <p class="card-text float-right text-muted" title="Recherché !">
            <i class="fas fa-search"></i>
        </p>
    {%- endif -%}
{%- endmacro %}

{% macro quantity(item) -%}
    {%- if item.quantityOwned or item.quantityDouble or item.quantityEchange -%}
        <p class="card-text mb-1">
            {% if item.quantityOwned %}
                <span class="text-muted">Collec : </span> {{ item.quantityOwned }}
                <span>&nbsp; &nbsp; &nbsp; &nbsp; </span>
            {% endif %}
            {% if item.quantityDouble %}
                <span class="text-muted">Doubles : </span> {{ item.quantityDouble }}
            {% endif %}
            {% if item.quantityEchange %}
                <span class="text-muted">Echanges : </span> {{ item.quantityEchange }}
            {% endif %}
        </p>
    {%- endif -%}
{%- endmacro %}

{% macro attributes(item) -%}
    {% import "@admin/macros.html.twig" as macro %}
    {%- if item.attributes|length -%}
        <p class="card-text mb-1">
            <span class="text-muted">Attributes : </span>
            {{ macro.attributes(item) }}
        </p>
    {%- endif -%}
{%- endmacro %}

{% macro reference(item) -%}
    {%- if item.reference -%}
        <p class="card-text mb-1">
            <span class="text-muted">Référence : </span> {{ item.reference }}
        </p>
    {%- endif -%}
{%- endmacro %}

{% macro sorting(item) -%}
    {%- if item.sorting -%}
        <p class="card-text mb-1">
            <span class="text-muted">Sorting : </span> {{ item.sorting }}
        </p>
    {%- endif -%}
{%- endmacro %}

{% macro year(item) -%}
    {%- if item.year -%}
        <p class="card-text mb-1">
            <span class="text-muted">Année : </span> {{ item.year }}
        </p>
    {%- endif -%}
{%- endmacro %}

{% macro comment(item) -%}
    {%- if item.comment -%}
        <p class="card-text mb-1">
            <span class="text-muted">Comment : </span> {{ item.comment|nl2br }}
        </p>
    {%- endif -%}
{%- endmacro %}

{% macro variante(item) -%}
    {%- if item.variante -%}
        <p class="card-text mb-1">
            <span class="text-muted">Variante : </span> {{ item.variante|nl2br }}
        </p>
    {%- endif -%}
{%- endmacro %}

{% macro images(item) -%}
    {% if item.images|length %}
        <p class="card-text mb-1">
            <span class="text-muted">Images : </span>
            {% for img in item.images %}
                <a href="{{ img|href }}" target="_blank" class="admin-image"
                   style="background-image: url('{{ img|tn }}');">
                </a>
            {% endfor %}
            {#        <a href="{{ path('admin_images_add_type', {'type': item|imagetype }) }}" class="btn-sm btn-light">#}
            {#            <i class="fas fa-plus"></i>#}
            {#        </a>#}
        </p>
    {% endif %}
{%- endmacro %}

{% block stylesheets %}
    {{ parent() }}
    <style>
        .collection-serie .admin-image {
            width: 24px;
            height: 24px;
        }
    </style>
{% endblock %}